Ubuntu环境下npm安装webpack遇到的小问题

安装 webpack 2.x 的时候遇到了问题。
按照官方给的 demo , 应当是直接通过 npm init -y 进行项目初始化, 这会直接生成一个 webpack 的项目。
然后 npm install –save-dev webpack 就开始各种报错。

各种煎熬后,发现了解决方案。
原因是 npm init -y 自动初始化的是一个名字叫 webpack 的项目。 然而安装 webpack 的时候发生了冲突。只要将项目名称改掉就行。
我将项目名称改为 webpackdemo 然后就没有这个问题了

下面是报错信息:

npm ERR! Linux 4.8.0-46-generic  
npm ERR! argv "/home/comeriven/.nvm/versions/node/v6.10.1/bin/node"   
"/home/comeriven/.nvm/versions/node/v6.10.1/bin/npm" "install" "webpack" "--save-dev"  
npm ERR! node v6.10.1
npm ERR! npm  v3.10.10
npm ERR! code ENOSELF  

npm ERR! Refusing to install webpack as a dependency of itself
npm ERR! 
npm ERR! If you need help, you may report this error at:
npm ERR!     <https://github.com/npm/npm/issues>

npm ERR! Please include the following file with any support request:
npm ERR!     /home/comeriven/workspace/webpack/npm-debug.log  

发布者

iamorz

前端技术群:263240563

发表评论

电子邮件地址不会被公开。 必填项已用*标注